Package org.jfree.report.modules.gui.swing.common

# Class WindowSizeLimiter

java.lang.Object
java.awt.event.ComponentAdapter
org.jfree.report.modules.gui.swing.common.WindowSizeLimiter

All Implemented Interfaces:
  `ComponentListener`, `EventListener`

public class WindowSizeLimiter extends ComponentAdapter
A small helper class to limit the maximum size of an element to the elements maximum size. If the element is resized, the defined maximum size is enforced on the element.

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`WindowSizeLimiter()`
Default-Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`componentResized(ComponentEvent e)`
Invoked when the component's size changes.

### Methods inherited from class java.awt.event.ComponentAdapter

`componentHidden, componentMoved, componentShown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowSizeLimiter

public WindowSizeLimiter()
Default-Constructor.

## Method Details

### componentResized

public void componentResized(ComponentEvent e)
Invoked when the component's size changes.

Specified by:
  `componentResized` in interface `ComponentListener`
Overrides:
  `componentResized` in class `ComponentAdapter`
Parameters:
  `e` - the event.